summaryrefslogtreecommitdiffhomepage
path: root/images
diff options
context:
space:
mode:
Diffstat (limited to 'images')
-rw-r--r--images/jekyll/Dockerfile7
-rwxr-xr-ximages/jekyll/build.sh21
2 files changed, 27 insertions, 1 deletions
diff --git a/images/jekyll/Dockerfile b/images/jekyll/Dockerfile
index ba039ba15..ae19f3bfc 100644
--- a/images/jekyll/Dockerfile
+++ b/images/jekyll/Dockerfile
@@ -1,5 +1,6 @@
FROM jekyll/jekyll:4.0.0
USER root
+
RUN gem install \
html-proofer:3.10.2 \
nokogiri:1.10.1 \
@@ -10,5 +11,9 @@ RUN gem install \
jekyll-relative-links:0.6.1 \
jekyll-feed:0.13.0 \
jekyll-sitemap:1.4.0
+
+# checks.rb is used with html-proofer for presubmit checks.
COPY checks.rb /checks.rb
-CMD ["/usr/gem/gems/jekyll-4.0.0/exe/jekyll", "build", "-t", "-s", "/input", "-d", "/output"]
+
+COPY build.sh /build.sh
+CMD ["/build.sh"]
diff --git a/images/jekyll/build.sh b/images/jekyll/build.sh
new file mode 100755
index 000000000..bfceb2781
--- /dev/null
+++ b/images/jekyll/build.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+# Copyright 2020 The gVisor Authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -euxo pipefail
+
+# Generate the syntax highlighting css file.
+/usr/gem/bin/rougify style github >/input/_sass/syntax.css
+/usr/gem/bin/jekyll build -t -s /input -d /output